Retrieve a business classification - Dwolla Developer Portal

Documentation Index

Fetch the complete documentation index at: /llms.txt

Use this file to discover all available pages before exploring further.

GET

https://api.dwolla.comhttps://api-sandbox.dwolla.com

/business-classifications

/{id} cURL

GET https://api-sandbox.dwolla.com/business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203
Accept: application/vnd.dwolla.v1.hal+json
Authorization: Bearer pBA9fVDBEyYZCEsLf/wKehyh1RTpzjUj5KzIRfDi0wKTii7DqY
// Using dwolla-v2 - https://github.com/Dwolla/dwolla-v2-node
dwolla
  .get("business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203")
  .then((res) => res.body.name); // => 'Accommodation and Food Services'
# Using dwollav2 - https://github.com/Dwolla/dwolla-v2-python
classification = app_token.get('business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203')
classification.body['name'] # => 'Accommodation and Food Services'
<?php
// Using dwollaswagger - https://github.com/Dwolla/dwolla-swagger-php
$businessClassificationsApi = new DwollaSwagger\BusinessClassificationsApi($apiClient);
$classification = $businessClassificationsApi->getBusinessClassification("9ed3f670-7d6f-11e3-b1ce-5404a6144203");
$classification->name; # => "Accommodation and Food Services"
?>
# Using dwolla_v2 - https://github.com/Dwolla/dwolla-v2-ruby
classification = app_token.get "business-classifications/9ed3f670-7d6f-11e3-b1ce-5404a6144203"
classification.name # => "Accommodation and Food Services"

200

404

{
  "_links": {
    "self": {
      "href": "https://api.dwolla.com",
      "type": "application/vnd.dwolla.v1.hal+json",
      "resource-type": "resource-type"
    }
  },
  "_embedded": {
    "industry-classifications": [
      {
        "id": "9ed3f66b-7d6f-11e3-95ac-5404a6144203",
        "name": "Wineries"
      }
    ]
  },
  "id": "9ed3f669-7d6f-11e3-b545-5404a6144203",
  "name": "Food retail and service"
}
{
  "code": "not_found",
  "message": "not found."
}

Authorizations

Authorization

string

header

required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

Accept

enum

default:application/vnd.dwolla.v1.hal+json

required

The media type of the response. Must be application/vnd.dwolla.v1.hal+json

Available options:

application/vnd.dwolla.v1.hal+json

Path Parameters

id

string

required

business classification unique identifier

Response

200

application/vnd.dwolla.v1.hal+json

successful operation

_links

object

Showchild attributes

_embedded

object

Showchild attributes

_id

string

Example:

"9ed3f669-7d6f-11e3-b545-5404a6144203"

_name

string

Example:

"Food retail and service"